Package: org.grails.encoder

## [Java] Class EncodingStateRegistryLookupHolder

- org.grails.encoder.EncodingStateRegistryLookupHolder

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `EncodingStateRegistryLookup` | `encodingStateRegistryLookup`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `clear()`
    `` | `static EncodingStateRegistryLookup` | `getEncodingStateRegistryLookup()`
    `` | `static void` | `setEncodingStateRegistryLookup(EncodingStateRegistryLookup lookup)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### EncodingStateRegistryLookup encodingStateRegistryLookup

  - ### Method Detail

    - #### public static void clear()

    - #### public static EncodingStateRegistryLookup getEncodingStateRegistryLookup()

    - #### public static void setEncodingStateRegistryLookup(EncodingStateRegistryLookup lookup)